Bug 1328066 - [cli] pcs makes a disservice to CIB-accumulate-and-push use cases by not coping with "cib --config" file (recommended!) passed as "-f <file>" to cib-modifying commands
Summary: [cli] pcs makes a disservice to CIB-accumulate-and-push use cases by not copi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1359057 1328078
TreeView+ depends on / blocked
 
Reported: 2016-04-18 11:03 UTC by Jan Pokorný [poki]
Modified: 2016-11-03 20:58 UTC (History)
6 users (show)

Fixed In Version: pcs-0.9.152-2.el7
Doc Type: Bug Fix
Doc Text:
This bz does not need doc text.
Clone Of:
: 1328078 1359057 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:58:28 UTC


Attachments (Terms of Use)
proposed fix (3.76 KB, patch)
2016-06-08 14:15 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2596 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2016-11-03 12:11:34 UTC

Description Jan Pokorný [poki] 2016-04-18 11:03:30 UTC
Specific use case is with clufter that was mislead in belief scenarios
from the summary would work automatically.  Unfortunately, that's
not the case.

There would be possibility to use the "cib" - "cib push" commands with
unbalanced --config switch, but that lacks the consistency.

Beside, that's really just config subset of the overall CIB that's really
needed to reason about the configuration and modify it.
Other possible values passed as "scope" is a different story...

Comment 4 Tomas Jelinek 2016-06-08 14:15:49 UTC
Created attachment 1166034 [details]
proposed fix

Documentation updated.

Comment 8 errata-xmlrpc 2016-11-03 20:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2596.html


Note You need to log in before you can comment on or make changes to this bug.